Skip to navigation

Deprecated: Read a Research Run’s Events

Deprecated
View as Markdown

Deprecated: use research runs events list (GET /v1/research/runs/{runId}/events).

Authentication

AuthorizationBearer

Your aVenture API key (https://aventure.vc/settings/api-keys) or OAuth access token

Path parameters

runIdstringRequiredformat: "uuid"
Research run id

Query parameters

cursorstringOptional
Opaque nextCursor returned by the previous event page.
sizeintegerOptionalDefaults to 100

Events per page; maximum 100.

Response headers

X-RateLimit-Limitinteger

Requests allowed per client IP in the current rate-limit window.

X-RateLimit-Remaininginteger

Requests left before the tightest applicable rate-limit bucket rejects.

X-RateLimit-Resetinteger

Seconds until the exhausted rate-limit bucket admits another request; 0 when none is exhausted.

Response

OK
contentlist of objects
nextCursorstring or nullOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error